<?php

class SEO_SG_Protection_HTML
{
    public static function Wait_CSS_Loader()
    {
        global $base_path;

        ?>

        <div id="loader" style="min-height:500px;position: relative"><img
                style="position: absolute;top: 0; left: 0; bottom: 0; right: 0; margin:auto;"
                src="<?php echo $base_path . drupal_get_path('module', 'sg_geo_protection') . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'ajax_loader.svg'; ?>">
        </div>
        <script>
            jQuery(document).ready(function () {
                jQuery('.ui.accordion').accordion();
                jQuery('.ui.checkbox').checkbox();
                jQuery('#main').css('opacity', '0');
                jQuery('#main').css('display', 'block');
                jQuery('#loader').css('display', 'none');
                fromBlur();
            });

            var i = 0;

            function fromBlur() {
                running = true;
                if (running) {

                    jQuery('#main').css("opacity", i);

                    i = i + 0.02;

                    if (i > 1) {
                        running = false;
                        i = 0;
                    }
                    if (running) setTimeout("fromBlur()", 5);

                }
            }
        </script>
    <?php
    }

    public static function CountryList_checkboxes($selected_array = array())
    {
        $selected = array();
        if (count($selected_array)) {
            foreach ($selected_array as $v) {
                $selected[$v] = $v;
            }

        }

        $a = '<div class="ui five column grid country_list">' . "\n";

        foreach (SEO_SG_Protection::$country_list as $country_code => $country_name) {
            if (isset($selected[$country_code])) $checked = 'checked="checked"';
            else $checked = '';
            $a .= '<div class="column"><label><input class="country_' . $country_code . ' ' . SEO_SG_Protection::$country_type_list[$country_code] . '" ' . $checked . ' type="checkbox" name="country_list[]" value="' . $country_code . '">' . $country_name . '</label></div>' . "\n";
        }

        $a .= '</div>';

        return $a;
    }

    public static function PrintIconMessage($data)
    {
        $rand_id = "id_" . rand(1, 10000) . '_' . rand(1, 10000);
        if ($data['type'] == '' || $data['type'] == 'alert') {
            $type_message = 'negative';
            $icon = 'warning sign';
        }
        if ($data['type'] == 'ok') {
            $type_message = 'green';
            $icon = 'checkmark box';
        }
        if ($data['type'] == 'info') {
            $type_message = 'yellow';
            $icon = 'info';
        }
        ?>
        <div class="ui icon <?php echo $type_message; ?> message">
            <i class="<?php echo $icon; ?> icon"></i>

            <div class="msg_block_row">
                <?php
                if ($data['button_text'] != '' || $data['help_text'] != '') {
                    ?>
                    <div class="msg_block_txt">
                        <?php
                        if ($data['header'] != '') {
                            ?>
                            <div class="header"><?php echo $data['header']; ?></div>
                        <?php
                        }
                        ?>
                        <?php
                        if ($data['message'] != '') {
                            ?>
                            <p><?php echo $data['message']; ?></p>
                        <?php
                        }
                        ?>
                    </div>
                    <div class="msg_block_btn">
                        <?php
                        if ($data['help_text'] != '') {
                            ?>
                            <a class="link_info" href="javascript:;" onclick="InfoBlock('<?php echo $rand_id; ?>');"><i
                                    class="help circle icon"></i></a>
                        <?php
                        }
                        ?>
                        <?php
                        if ($data['button_text'] != '') {
                            if (!isset($data['button_url_target']) || $data['button_url_target'] == true) $new_window = 'target="_blank"';
                            else $new_window = '';
                            ?>
                            <a class="mini ui green button" <?php echo $new_window; ?>
                               href="<?php echo $data['button_url']; ?>"><?php echo $data['button_text']; ?></a>
                        <?php
                        }
                        ?>
                    </div>
                    <?php
                    if ($data['help_text'] != '') {
                        ?>
                        <div style="clear: both;"></div>
                        <div id="<?php echo $rand_id; ?>" style="display: none;">
                            <div class="ui divider"></div>
                            <p><?php echo $data['help_text']; ?></p>
                        </div>
                    <?php
                    }
                    ?>
                <?php
                } else {
                    ?>
                    <?php
                    if ($data['header'] != '') {
                        ?>
                        <div class="header"><?php echo $data['header']; ?></div>
                    <?php
                    }
                    ?>
                    <?php
                    if ($data['message'] != '') {
                        ?>
                        <p><?php echo $data['message']; ?></p>
                    <?php
                    }
                    ?>
                <?php
                }
                ?>
            </div>
        </div>
    <?php
    }

    public static function Load_GEO_to_SQL()
    {
        $params = SEO_SG_Protection::Get_Params(array('geo_update_progress'));
        ?>
        <div class="ui grid max-box">
            <div class="row">
                <script type="text/javascript">
                    window.setTimeout(function () {
                        document.location.reload(true);
                    }, 60000);
                </script>
                <p style="text-align: center; width: 100%;">
                    <img width="120" height="120" src="<?php echo drupal_get_path('module', 'sg_geo_protection') . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'ajax_loader.svg'; ?>"/>
                    <br/><br/>
                    We are updating GEO database.<br>
                    Please wait, it will take approximately 2-3 minutes.
                </p>
                <?php
                if (intval($params['geo_update_progress']) == 0) {
                    ?>
                    <iframe src="/?q=admin%2Fgeo-prot&action=Load_GEO_to_SQL"
                            style="height:1px;width:1px;"></iframe>
                <?php
                }
                ?>
            </div>
        </div>
    <?php

    }
}