<?php

SEO_SG_Protection::CheckBlockLog();

SEO_SG_Protection_HTML::Wait_CSS_Loader();

$isPRO = SEO_SG_Protection::CheckIfPRO();

$params = SEO_SG_Protection::Get_Params(array());

$params['frontend_country_list'] = (isset($params['frontend_country_list'])) ? json_decode($params['frontend_country_list'], true) : '';

$params['backend_country_list'] = (isset($params['backend_country_list'])) ? json_decode($params['backend_country_list'], true) : '';

$params['redirects'] = (isset($params['redirects'])) ? json_decode($params['redirects'], true) : '';

$myIP = SEO_SG_Protection::GetMyIP();

$myCountryCode = (filter_var($myIP, FILTER_VALIDATE_IP)) ? SEO_SG_Protection::GetCountryCode($myIP) : '';

$myCountry = $myCountryCode ? SEO_SG_Protection::$country_list[$myCountryCode] : '';

if (!SEO_SG_Protection::CheckIfPRO()) {
    $data = array();
    $data['custom_status'] = 0;
    SEO_SG_Protection::Set_Params($data);
    SEO_SG_Protection::CreateSettingsFile();
    SEO_SG_Protection::CheckWPConfig_file();
}

$tab_id = isset($_GET['tab']) ? intval($_GET['tab']) : 0;
$tab_array = array(0 => '', 1 => '', 2 => '', 3 => '', 4 => '', 5 => '');
$tab_array[$tab_id] = 'active ';
?>
<script>
    function InfoBlock(id) {
        jQuery("#" + id).toggle();
    }
    function SelectCountries(select, uncheck) {
        if (select != '') jQuery(select).prop("checked", true);

        if (uncheck != '') jQuery(uncheck).prop("checked", false);
    }
    function ShowHideForm(v, el) {
        if (v == true) jQuery(el).show(300);
        else jQuery(el).hide(300);
    }

    function BlockPage_Refresh() {
        jQuery('#geo_preview').html('<div style="margin:30px auto; max-width: 400px; max-height: 450px;text-align: center;">Please wait...</div>');
        jQuery('.modal.preview_show').modal('show');
        var myObj = {
            "custom_status": jQuery('#custom_status').checkbox('is checked'),
            "logo_url": jQuery('#logo_url').val(),
            "text_1": jQuery('#text_1').val(),
            "text_2": jQuery('#text_2').val(),
            "hide_debug": jQuery('#hide_debug').checkbox('is checked'),
            "hide_ipinfo": jQuery('#hide_ipinfo').checkbox('is checked')
        };
        var jsonString = JSON.stringify(myObj);
        jQuery.post(
            ajaxurl,
            {
                'action': 'plgsggeo_ajax_refresh',
                'data': jsonString
            },
            function (response) {
                jQuery('#geo_preview').html(response);

            }
        );
    }
    jQuery(document).ready(function () {

        ShowHideForm(jQuery('#custom_status').checkbox('is checked'), '.show_active')

    });
</script>

<h3 class="ui header title_product">GEO Website Protection (<a
        href="https://www.siteguarding.com/en/drupal-geo-website-protection"
        target="_blank">ver. <?php echo GEO_PLUGIN_VERSION; ?></a>)
</h3>

<?php
if (!$isPRO) {
    ?>
    <div class="ui large centered leaderboard test ad" style="margin-top: 10px;">
        <a href="https://www.siteguarding.com/en/protect-your-website" target="_blank"><img
                src="<?php echo drupal_get_path('module', 'sg_geo_protection') . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'rek1.png'; ?>"/></a>&nbsp;
        <a href="https://www.siteguarding.com/en/secure-web-hosting" target="_blank"><img
                src="<?php echo drupal_get_path('module', 'sg_geo_protection') . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'rek2.png'; ?>"/></a>&nbsp;
        <a href="https://www.siteguarding.com/en/importance-of-website-backup" target="_blank"><img
                src="<?php echo drupal_get_path('module', 'sg_geo_protection') . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'rek3.png'; ?>"/></a>
    </div>
<?php
}
?>

<div class="ui grid max-box">
    <div id="main" class="thirteen wide column row">

        <?php
        if (!SEO_SG_Protection::CheckAntivirusInstallation()) {
            ?>
            <a class="ui yellow label" target="_blank" style="text-decoration: none;"
               href="https://www.siteguarding.com/en/drupal-antivirus-website-protection">Antivirus is not installed.
                Try our antivirus to keep your website secured. Click here to open the details.</a>
        <?php
        }
        ?>

        <div class="ui top attached tabular menu" style="margin-top:0;">
            <a href="/?q=admin%2Fgeo-prot&tab=0" class="<?php echo $tab_array[0]; ?> item"><i class="desktop icon"></i>
                Front-end Protection</a>
            <a href="/?q=admin%2Fgeo-prot&tab=1" class="<?php echo $tab_array[1]; ?> item"><i class="lock icon"></i>
                Backend Protection</a>
            <a href="/?q=admin%2Fgeo-prot&tab=5" class="<?php echo $tab_array[5]; ?> item"><i class="random icon"></i>
                GEO Redirect</a>
            <a href="/?q=admin%2Fgeo-prot&tab=2" class="<?php echo $tab_array[2]; ?> item"><i
                    class="pie chart icon"></i> Logs</a>
            <a href="/?q=admin%2Fgeo-prot&tab=3" class="<?php echo $tab_array[3]; ?> item"><i class="cog icon"></i>
                Customize & Style</a>
            <a href="/?q=admin%2Fgeo-prot&tab=4" class="<?php echo $tab_array[4]; ?> item"><i class="settings icon"></i>
                Settings & Support</a>
        </div>

        <div class="ui bottom attached segment">
            <?php
            if ($tab_id == 0) {
                ?>

                <h4 class="ui header">Front-end protection</h4>
                <form method="post" action="/?q=admin%2Fgeo-prot&tab=0">
                    <p>
                        <?php
                        if (isset($params['protection_frontend']) && intval($params['protection_frontend']) == 1) {
                            $block_class = '';
                            $protection_txt = '<span class="ui green horizontal label">Enabled</span>';
                            $protection_bttn_txt = 'Disable Protection';
                        } else {
                            $block_class = 'class="hide"';
                            $protection_txt = '<span class="ui red horizontal label">Disabled</span>';
                            $protection_bttn_txt = 'Enable Protection';
                        }
                        ?>
                        GEO Protection for front-end is <?php echo $protection_txt; ?> Visitors from selected countried
                        and selected IP addresses will not be able to visit your website.
                    </p>
                    <input type="submit" name="submit" id="submit" class="mini ui green button"
                           value="<?php echo $protection_bttn_txt; ?>">

                    <p>&nbsp;</p>
                    <input type="hidden" name="page" value="plgsggeo_protection"/>
                    <input type="hidden" name="action" value="EnableDisable_frontend_protection"/>
                </form>

                <form method="post" action="/?q=admin%2Fgeo-prot&tab=0">
                    <div <?php echo $block_class; ?>>

                        <?php
                        if (!$isPRO) {
                            ?>
                            <div class="ui red mini message">
                                <center>Your version has limits: maximum 5 countries and maximum 5 IP addresses to
                                    block.<br/><a href="https://www.siteguarding.com/en/drupal-geo-website-protection"
                                                  target="_blank">Get Full Version</a> and unlock all the
                                    features
                                </center>
                            </div><?php
                        }
                        ?>
                        <div class="ui blue mini message">
                            <center>Always remember about search engine bots. Add Google bot IP addresses to allow list.
                                Use quick button below.
                            </center>
                        </div>
                        <h4 class="ui header">Block (blacklist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>

                        <div class="ui ignored message">
                            <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
                        </div>

                        <div class="ui input" style="width: 100%;margin-bottom:10px">
                            <textarea name="frontend_ip_list" style="width: 100%;height:200px"
                                      placeholder="Insert IP addresses or range you want to block, one by line"><?php echo $params['frontend_ip_list']; ?></textarea>
                        </div>

                        <input type="submit" name="submit" id="submit" class="ui green button" value="Save & Apply">

                        <h4 class="ui header">Block by country (your country is <?php echo $myCountry; ?>)</h4>

                        <div class="ui ignored message">
                            <i class="help circle icon"></i>Quick buttons: <a class="mini ui button bttn_bottom"
                                                                              href="javascript:SelectCountries('.all', '.country_<?php echo $myCountryCode; ?>');">Select
                                All (exclude <?php echo $myCountryCode; ?>)</a> <a class="mini ui button bttn_bottom"
                                                                                   href="javascript:SelectCountries('', '.all');">Uncheck
                                All</a> <a class="mini ui button bttn_bottom"
                                           href="javascript:SelectCountries('.all', '.country_US,.country_CA');">Select
                                All (exclude USA, Canada)</a> <a class="mini ui button bttn_bottom"
                                                                 href="javascript:SelectCountries('.all', '.europe');">Select
                                All (exclude EU countries)</a> <a class="mini ui button bttn_bottom"
                                                                  href="javascript:SelectCountries('.3rdcountry', '');">Select
                                All 3rd party countries</a>
                        </div>

                        <?php echo SEO_SG_Protection_HTML::CountryList_checkboxes($params['frontend_country_list']); ?>

                        <p>&nbsp;</p>

                        <input type="submit" name="submit" id="submit" class="ui green button" value="Save & Apply">

                        <h4 class="ui header">Allow (whitelist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>

                        <div class="ui ignored message">
                            <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
                        </div>

                        <p>
                            <span class="mini ui green button allow">Allow bots</span> Add IP addresses of Google, Bing,
                            Yahoo to allow list
                        </p>

                        <?php if (!$isPRO) { ?>

                            <script>
                                jQuery(document).ready(function () {
                                    jQuery('.allow').click(function () {
                                        jQuery('.modal.paid').modal('show');
                                    });
                                });
                            </script>
                            <div class="tiny ui modal paid">
                                <div class="header c_red">Alert</div>
                                <div class="content">
                                    <p><b>Available in full version only</b></p>
                                </div>
                                <div class="actions">
                                    <button class="medium ui cancel button">Close</button>
                                </div>
                            </div>

                        <?php } else { ?>

                            <script>
                                jQuery(document).ready(function () {
                                    jQuery('.allow').click(function () {
                                        content = jQuery('.frontend_ip_list_allow').val();
                                        if (content) content = content + "\n";
                                        jQuery('.frontend_ip_list_allow').val(content + "#GoogleBot\n64.233.*.*\n66.102.*.*\n66.249.*.*\n72.14.*.*\n74.125.*.*\n209.85.*.*\n216.239.*.*\n\n#BingBot\n104.146.*.*\n\n#MSNBot\n64.4.*.*\n65.52.*.*\n65.53.*.*\n65.54.*.*\n131.253.*.*\n157.54.*.*\n207.46.*.*\n207.68.*.*\n\n\n#Yahoo\n8.12.144.*\n66.196.*.*\n66.228.*.*\n67.195.*.*\n68.142.*.*\n72.30.*.*\n74.6.*.*\n98.136.*.*\n98.137.*.*\n98.138.*.*\n98.139.*.*\n202.160.*.*\n209.191.*.*\n#YandexBot\n100.43.*.*\n");
                                    });
                                });
                            </script>

                        <?php } ?>

                        <div class="ui input" style="width: 100%;margin-bottom:10px">
                            <textarea class="frontend_ip_list_allow" name="frontend_ip_list_allow"
                                      style="width: 100%;height:200px"
                                      placeholder="Insert IP addresses or range you want to allow, one by line"><?php echo $params['frontend_ip_list_allow']; ?></textarea>
                        </div>
                        <input type="submit" name="submit" id="submit" class="ui green button" value="Save & Apply">
                    </div>
                    <input type="hidden" name="page" value="plgsggeo_protection"/>
                    <input type="hidden" name="action" value="Save_frontend_params"/>
                </form>


            <?php }
            if ($tab_id == 1) { ?>

                <h4 class="ui header">Backend protection</h4>

                <form method="post" action="/?q=admin%2Fgeo-prot&tab=1">
                    <p>
                        <?php
                        if (isset($params['protection_backend']) && intval($params['protection_backend']) == 1) {
                            $block_class = '';
                            $protection_txt = '<span class="ui green horizontal label">Enabled</span>';
                            $protection_bttn_txt = 'Disable Protection';
                        } else {
                            $block_class = 'class="hide"';
                            $protection_txt = '<span class="ui red horizontal label">Disabled</span>';
                            $protection_bttn_txt = 'Enable Protection';
                        }
                        ?>
                        GEO Protection for backend is <?php echo $protection_txt; ?> Visitors from selected countried
                        and selected IP addresses will not be able to login to backend of your website.
                    </p>
                    <input type="submit" name="submit" id="submit" class="mini ui green button"
                           value="<?php echo $protection_bttn_txt; ?>">

                    <p>&nbsp;</p>
                    <input type="hidden" name="page" value="plgsggeo_protection"/>
                    <input type="hidden" name="action" value="EnableDisable_backend_protection"/>
                </form>
                <form method="post" action="/?q=admin%2Fgeo-prot&tab=1">
                    <div <?php echo $block_class; ?>>
                        <?php
                        if (!$isPRO) {
                            ?>
                            <div class="ui red mini message">
                                <center>Your version has limits: maximum 5 countries and maximum 5 IP addresses to
                                    allow.<br/><a
                                        href="https://www.siteguarding.com/en/drupal-geo-website-protection"
                                        target="_blank">Get Full Version</a> and unlock all the features
                                </center>
                            </div><?php
                        }
                        ?>

                        <h4 class="ui header">Block (blacklist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>

                        <div class="ui ignored message">
                            <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
                        </div>
                        <div class="ui input" style="width: 100%;margin-bottom:10px">
                            <textarea name="backend_ip_list" style="width: 100%;height:200px"
                                      placeholder="Insert IP addresses or range you want to block, one by line"><?php echo $params['backend_ip_list']; ?></textarea>
                        </div>
                        <input type="submit" name="submit" id="submit" class="ui green button" value="Save & Apply">
                        <h4 class="ui header">Block by country (your country is <?php echo $myCountry; ?>)</h4>

                        <div class="ui ignored message">
                            <i class="help circle icon"></i>Quick buttons: <a class="mini ui button bttn_bottom"
                                                                              href="javascript:SelectCountries('.all', '.country_<?php echo $myCountryCode; ?>');">Select
                                All (exclude <?php echo $myCountryCode; ?>)</a> <a class="mini ui button bttn_bottom"
                                                                                   href="javascript:SelectCountries('', '.all');">Uncheck
                                All</a> <a class="mini ui button bttn_bottom"
                                           href="javascript:SelectCountries('.all', '.country_US,.country_CA');">Select
                                All (exclude USA, Canada)</a> <a class="mini ui button bttn_bottom"
                                                                 href="javascript:SelectCountries('.all', '.europe');">Select
                                All (exclude EU countries)</a> <a class="mini ui button bttn_bottom"
                                                                  href="javascript:SelectCountries('.3rdcountry', '');">Select
                                All 3rd party countries</a>
                        </div>

                        <?php echo SEO_SG_Protection_HTML::CountryList_checkboxes($params['backend_country_list']); ?>
                        <p>&nbsp;</p>
                        <input type="submit" name="submit" id="submit" class="ui green button" value="Save & Apply">

                        <h4 class="ui header">Allow (whitelist) by IP or range (your IP is <?php echo $myIP; ?>)</h4>

                        <div class="ui ignored message">
                            <i class="help circle icon"></i>e.g. 200.150.160.1 or 200.150.160.* or 200.150.*.*
                        </div>

                        <div class="ui input" style="width: 100%;margin-bottom:10px">
                            <textarea name="backend_ip_list_allow" style="width: 100%;height:200px"
                                      placeholder="Insert IP addresses or range you want to allow, one by line"><?php echo $params['backend_ip_list_allow']; ?></textarea>
                        </div>

                        <input type="submit" name="submit" id="submit" class="ui green button" value="Save & Apply">
                    </div>
                    <input type="hidden" name="page" value="plgsggeo_protection"/>
                    <input type="hidden" name="action" value="Save_backend_params"/>
                </form>


            <?php }
            if ($tab_id == 5) { ?>
                <h4 class="ui header">GEO Redirect</h4>

                <p>You can redirect the visitors from selected countries to specific page of your website or another
                    domain.</p>
                <form method="post" action="/?q=admin%2Fgeo-prot&tab=5">
                    <table class="ui single line selectable table">
                        <thead>
                        <tr>
                            <th>Country</th>
                            <th>Redirect URL</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        foreach (SEO_SG_Protection::$country_list as $country_code => $country_name) {
                            ?>
                            <tr>
                                <td class="two wide"><?php echo $country_name; ?></td>
                                <td>
                                    <div class="ui form">
                                        <input class="ui input sixteen wide field"
                                               placeholder="e.g. /contact-us   or   http://www.google.com/search"
                                               type="text" name="redirect[<?php echo $country_code; ?>]"
                                               value="<?php if (isset($params['redirects'][$country_code])) echo $params['redirects'][$country_code]; ?>">
                                    </div>
                                </td>
                            </tr>
                        <?php
                        }
                        ?>
                        </tbody>
                    </table>
                    <input type="hidden" name="action" value="save_redirect_params"/>
                    <input type="submit" name="submit" id="submit" class="ui green button" value="Save &amp; Apply">
                </form>

            <?php }
            if ($tab_id == 2) {
                drupal_add_js(drupal_get_path('module', 'sg_geo_protection') . DIRECTORY_SEPARATOR . 'js' . DIRECTORY_SEPARATOR . 'javascript.js');
                ?>
                <h4 class="ui header">Charts</h4>

            <?php
            $pie_array = SEO_SG_Protection::GeneratePieData(1);
            $pie_data = SEO_SG_Protection::PreparePieData($pie_array);
            ?>
                <script type="text/javascript">
                    jQuery(function () {
                        jQuery('#pie_container_1').<?php echo 'high'.'charts'; ?>({
                            credits: false,
                            chart: {
                                plotBackgroundColor: null,
                                plotBorderWidth: null,
                                plotShadow: false,
                                type: 'pie'
                            },
                            title: {
                                text: 'Blocked activity for the last 24 hours'
                            },
                            tooltip: {
                                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                            },
                            plotOptions: {
                                pie: {
                                    allowPointSelect: true,
                                    cursor: 'pointer',
                                    dataLabels: {
                                        enabled: true,
                                        format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                                        style: {
                                            color: (<?php echo 'High'.'cha'.'rts'; ?>.theme &&<?php echo 'High'.'cha'.'rts'; ?>.theme.contrastTextColor) || 'black'
                    }
                    }
                    }
                    },
                    series: [{
                        name: 'Total',
                        colorByPoint: true,
                        data: [<?php echo implode(", ", $pie_data); ?>]
                    }]
                    })
                    ;
                    })
                    ;
                </script>

                <div id="pie_container_1"
                     style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>

                <hr/>

            <?php
            $pie_array = SEO_SG_Protection::GeneratePieData(7);
            $pie_data = SEO_SG_Protection::PreparePieData($pie_array);
            ?>
                <script type="text/javascript">
                    jQuery(function () {
                        jQuery('#pie_container_2').<?php echo 'high'.'char'.'ts'; ?>({
                            credits: false,
                            chart: {
                                plotBackgroundColor: null,
                                plotBorderWidth: null,
                                plotShadow: false,
                                type: 'pie'
                            },
                            title: {
                                text: 'Blocked activity for the last 7 days'
                            },
                            tooltip: {
                                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                            },
                            plotOptions: {
                                pie: {
                                    allowPointSelect: true,
                                    cursor: 'pointer',
                                    dataLabels: {
                                        enabled: true,
                                        format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                                        style: {
                                            color: (<?php echo 'High'.'cha'.'rts'; ?>.theme &&<?php echo 'High'.'cha'.'rts'; ?>.theme.contrastTextColor) || 'black'
                    }
                    }
                    }
                    },
                    series: [{
                        name: 'Total',
                        colorByPoint: true,
                        data: [<?php echo implode(", ", $pie_data); ?>]
                    }]
                    })
                    ;
                    })
                    ;
                </script>

                <div id="pie_container_2"
                     style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>

                <hr/>

            <?php
            $pie_array = SEO_SG_Protection::GeneratePieData(30);
            $pie_data = SEO_SG_Protection::PreparePieData($pie_array);
            ?>

                <script type="text/javascript">
                    jQuery(function () {
                        jQuery('#pie_container_3').<?php echo 'high'.'chart'.'s'; ?>({
                            credits: false,
                            chart: {
                                plotBackgroundColor: null,
                                plotBorderWidth: null,
                                plotShadow: false,
                                type: 'pie'
                            },
                            title: {
                                text: 'Blocked activity for the last 30 days'
                            },
                            tooltip: {
                                pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                            },
                            plotOptions: {
                                pie: {
                                    allowPointSelect: true,
                                    cursor: 'pointer',
                                    dataLabels: {
                                        enabled: true,
                                        format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                                        style: {
                                            color: (<?php echo 'High'.'cha'.'rts'; ?>.theme &&<?php echo 'High'.'cha'.'rts'; ?>.theme.contrastTextColor) || 'black'
                    }
                    }
                    }
                    },
                    series: [{
                        name: 'Total',
                        colorByPoint: true,
                        data: [<?php echo implode(", ", $pie_data); ?>]
                    }]
                    })
                    ;
                    })
                    ;
                </script>

                <div id="pie_container_3"
                     style="min-width: 310px; height: 400px; max-width: 600px; margin: 0 auto"></div>

                <hr/>

            <?php
            $amount_records = 50;
            $latest_records_array = SEO_SG_Protection::GetLatestRecords($amount_records);
            ?>
                <h4 class="ui header">Latest Logs (latest <?php echo $amount_records; ?> records)</h4>
            <?php
            if (count($latest_records_array) == 0)
            echo '<p>No records</p>';
            else {
            ?>
                <table class="ui celled table small">
                    <thead>
                    <tr>
                        <th>Date</th>
                        <th>Country</th>
                        <th>IP address</th>
                        <th>URL</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    foreach ($latest_records_array as $v) {
                        ?>
                        <tr>
                            <td><?php echo date("Y-m-d H:i:s", $v->time); ?></td>
                            <td><?php echo SEO_SG_Protection::$country_list[$v->country_code] . ' [' . $v->country_code . ']'; ?></td>
                            <td><?php echo $v->ip; ?></td>
                            <td class="tbl_urlrow"><a target="_blank"
                                                      href="<?php echo $v->url; ?>"><?php echo $v->url; ?></span></td>
                        </tr>
                    <?php
                    }
                    ?>
                    </tbody>
                </table>


            <?php }
            }
            if ($tab_id == 3) {
                $isPRO = SEO_SG_Protection::CheckIfPRO();
                if (!$isPRO) $params['protection_by'] = 1;

                if ($isPRO) {
                    $box_text = 'You have <b>PRO version</b>';
                } else {
                    $box_text = '<span style="color:#9f3a38">You have <b>Free version</b>. Please note free version has some limits. Please <a href="https://www.siteguarding.com/en/drupal-geo-website-protection" target="_blank">Upgrade</a></span><br><i class="thumbs up icon"></i>Try our <a href="https://www.siteguarding.com/en/drupal-antivirus-website-protection" target="_blank">Drupal Antivirus scanner</a> PRO version and get your registration code for GEO protection plugin for free.';
                }
                ?>

                <h4 class="ui header">Customize Block page</h4>
                <div class="ui ignored info message">
                    <center><?php echo $box_text; ?></center>
                </div>
                <form class="ui form" method="post" action="/?q=admin%2Fgeo-prot&tab=3">
                    <div class="inline field">
                        <div id="custom_status" class="ui slider checkbox <?php if (!$isPRO) echo 'disabled'; ?>">
                            <input <?php if ($isPRO && isset($params['custom_status']) && intval($params['custom_status']) == 1) echo 'checked'; ?>
                                value="1" type="checkbox" tabindex="0" name="custom_status" class="hidden"
                                onchange="ShowHideForm(jQuery(this).is(':checked'), '.show_active')">
                            <label>Enable custom design</label>
                        </div>
                    </div>
                    <div class="field show_active hidden">
                        <label>URL to your logo image</label>
                        <input type="text" name="logo_url" id="logo_url"
                               placeholder="URL to your logo image (e.g. <?php echo $GLOBALS['base_url']; ?>/images/logo.jpg)"
                               value="<?php if (isset($params['logo_url'])) echo $params['logo_url']; ?>">
                    </div>

                    <div class="field show_active hidden">
                        <label>Text line 1</label>
                        <input type="text" id="text_1" name="text_1"
                               placeholder="Default: Access is not allowed from your IP or your country."
                               value="<?php if (isset($params['text_1'])) echo $params['text_1']; ?>">
                    </div>

                    <div class="field show_active hidden">
                        <label>Text line 2</label>
                        <input type="text" id="text_2" name="text_2"
                               placeholder="Default: If you think it's a mistake, please contact with the websmater of the website."
                               value="<?php if (isset($params['text_2'])) echo $params['text_2']; ?>">
                    </div>

                    <div class="inline field show_active hidden">
                        <div class="ui slider checkbox" id="hide_debug">
                            <input <?php if (isset($params['hide_debug']) && intval($params['hide_debug']) == 1) echo 'checked'; ?>
                                value="1" type="checkbox" tabindex="0" name="hide_debug" class="hidden">
                            <label>Hide text: If you the owner of the website. Please enable DEBUG mode in your Drupal
                                (use FTP) to disable GEO Protection.</label>
                        </div>
                    </div>

                    <div class="inline field show_active hidden">
                        <div class="ui slider checkbox" id="hide_ipinfo">
                            <input <?php if (isset($params['hide_ipinfo']) && intval($params['hide_ipinfo']) == 1) echo 'checked'; ?>
                                value="1" type="checkbox" tabindex="0" id="hide_ipinfo" name="hide_ipinfo"
                                class="hidden">
                            <label>Hide session information: Your IP: xxx.xxx.xxx.xxx, Country</label>
                        </div>
                    </div>

                    <?php if ($isPRO) { ?>
                        <div class="ui mini positive message">
                            <div class="header">
                                Help & Tips
                            </div>
                            <p>If you need help to customize GEO block page for your website, please contact with our
                                support. It's free of charge.</p>
                        </div>
                    <?php } else { ?>
                        <div class="ui mini negative message">
                            <div class="header">
                                Help & Tips
                            </div>
                            <p>This feature is available in the full version only.</p>
                        </div>
                    <?php } ?>

                    <input class="ui right floated green button  <?php if (!$isPRO) echo 'disabled'; ?>" type="submit"
                           value="Save"/>
                    <span class="ui right floated button" data-inverted=""
                          data-tooltip="Preview only. It will not save the settings." onclick="BlockPage_Refresh()"><i
                            class="tv icon"></i>Block Page Preview</span>
                    <input type="hidden" name="action" id="action" value="Customization_save"/>
                    <br><br>
                </form>

            <?php }
            if ($tab_id == 4) {
                $isPRO = SEO_SG_Protection::CheckIfPRO();
                if (!$isPRO) $params['protection_by'] = 1;
                if ($isPRO) {
                    $box_text = 'You have <b>PRO version</b>';
                } else {
                    $box_text = '<span style="color:#9f3a38">You have <b>Free version</b>. Please note free version has some limits. Please <a href="https://www.siteguarding.com/en/drupal-geo-website-protection" target="_blank">Upgrade</a></span><br><i class="thumbs up icon"></i>Try our <a href="https://www.siteguarding.com/en/drupal-antivirus-website-protection" target="_blank">Drupal Antivirus scanner</a> PRO version and get your registration code for GEO protection plugin for free.';
                }
                ?>
                <h4 class="ui header">Settings</h4>

                <div class="ui ignored info message">
                    <center><?php echo $box_text; ?></center>
                </div>

                <form method="post" class="ui form" action="/?q=admin%2Fgeo-prot&tab=4">

                    <div class="ui fluid form">

                        <div class="ui input ui-form-row">
                            <input class="ui input" size="40" placeholder="Enter your registration code" type="text"
                                   name="registration_code"
                                   value="<?php if (isset($params['registration_code'])) echo $params['registration_code']; ?>">
                        </div>
                        <br>

                        <div class="ui checkbox ui-form-row">
                            <input type="checkbox" name="protection_by"
                                   value="1" <?php if (!$isPRO) echo 'disabled="disabled"'; ?> <?php if ($params['protection_by'] == 1) echo 'checked="checked"'; ?>>
                            <label>Enable 'Protected by' sign</label>
                        </div>
                    </div>

                    <input type="submit" name="submit" id="submit" class="mini ui green button" value="Save Settings">

                    <p>&nbsp;</p>
                    <input type="hidden" name="page" value="plgsggeo_protection"/>
                    <input type="hidden" name="action" value="Save_Settings"/>
                </form>

                <hr/>

                <h4 class="ui header">Debug mode</h4>
                <?php if (!is_file(DRUPAL_ROOT . DIRECTORY_SEPARATOR . 'geodebug.txt')) { ?>
                    <p>DEBUG mode is disabled. To enable DEBUG mode please create an empty file with 'geodebug.txt' name
                        in
                        the root folder of your
                        website:<br><b><?php echo DRUPAL_ROOT . DIRECTORY_SEPARATOR . 'geodebug.txt'; ?></b></p>
                <?php } else { ?>
                    <p>DEBUG mode is enabled. GEO protection is disabled. To enable the protection please remove
                        'geodebug.txt' file in the root folder of your website.</p>
                <?php } ?>

                <hr/>

                <h4 class="ui header">Support</h4>
                <p>
                    For more information and details about GEO Website Protection please <a target="_blank"
                                                                                            href="https://www.siteguarding.com/en/drupal-geo-website-protection">click
                        here</a>.<br/><br/>
                    <a href="http://www.siteguarding.com/livechat/index.html" target="_blank">
                        <img
                            src="<?php echo drupal_get_path('module', 'sg_geo_protection') . DIRECTORY_SEPARATOR . 'images' . DIRECTORY_SEPARATOR . 'livechat.png'; ?>"/>
                    </a><br/>
                    For any questions and support please use LiveChat or this <a
                        href="https://www.siteguarding.com/en/contacts" rel="nofollow" target="_blank"
                        title="SiteGuarding.com - Website Security. Professional security services against hacker activity. Daily website file scanning and file changes monitoring. Malware detecting and removal.">contact
                        form</a>.<br>
                    <br>
                    <a href="https://www.siteguarding.com/" target="_blank">SiteGuarding.com</a> - Website Security.
                    Professional security services against hacker activity.<br/>
                </p>

            <?php } ?>
        </div>

        <div class="tiny ui modal preview_show">
            <div class="content">
                <center><h4 class="ui header" data-inverted=""
                            data-tooltip="Preview only. It will not save the settings."><i class="tv icon"></i>GEO Block
                        Page Preview</h4></center>
                <hr>
                <div id="geo_preview">
                </div>
            </div>
            <div class="actions">
                <button class="medium ui cancel button">Close Preview</button>
            </div>
        </div>
    </div>
</div>

